Page Index Toggle Pages: 1
Topic Tools
Normal Topic 2.5AE >>2.5.2 Upgrade issue (Read 1,482 times)
gr8fredini
YaBB Newcomer
*
Offline



Posts: 10

YaBB 2.5.2
2.5AE >>2.5.2 Upgrade issue
Apr 18th, 2013 at 3:31am
Post Tools
Hi,
I got as far as running the setup.pl file and am getting this message:
Quote:
An Error Has Occurred!

Unable to open ./Variables/cook.txt: Permission denied


Back


Any ideas?
There is no cook.txt file in the variables folder.
I also tried just making the whole folder's contents 755 permissions instead of 644, but that didn't help. Any ideas?
  
Back to top
 
IP Logged
 
Dandello
YaBB Administrator
YaBB Next Team
Operations Team
Beta Testers
Support Team
*****
Online



Posts: 2,378
Location: Earth

YaBB 2.6.1
Re: 2.5AE >>2.5.2 Upgrade issue
Reply #1 - Apr 18th, 2013 at 4:03am
Post Tools
That file is created by Setup.pl and then removed when Setup is finished. Check the permissions for your Variables folder (the folder itself) and make sure it's 755 or 777 to make sure YaBB can write to it. (Also, if you attempt to go 'back' while in Setup, you can run into this problem.)
« Last Edit: Apr 18th, 2013 at 4:04am by Dandello »  

If you only have one solution to a problem you're not trying hard enough!
Back to top
WWW  
IP Logged
 
gr8fredini
YaBB Newcomer
*
Offline



Posts: 10

YaBB 2.5.2
Re: 2.5AE >>2.5.2 Upgrade issue
Reply #2 - Apr 19th, 2013 at 4:13am
Post Tools
Ok- I changed the variables directory to 777, but now I'm getting this error:
Quote:
Content-type: text/html
Software error:

: /default/default.html at ./Sources/Subs.pl line 212.
For help, please send mail to the webmaster (webmaster@echonyc.com), giving this error message and the time and date of the error.


I've rerun the setup trying the sources folder (and its contents) permissions set to 755 and even 777, but still get the same error. Any ideas?
  
Back to top
 
IP Logged
 
Dandello
YaBB Administrator
YaBB Next Team
Operations Team
Beta Testers
Support Team
*****
Online



Posts: 2,378
Location: Earth

YaBB 2.6.1
Re: 2.5AE >>2.5.2 Upgrade issue
Reply #3 - Apr 19th, 2013 at 3:39pm
Post Tools
The folder it's now trying to find is in ./Templates - ALL the folders in the yabb2 directory must be set to 755 or 777. All the folders INSIDE those folders must also be set to 755 or 777. The yabbfiles folder outside the yabb2 folder and all the folders inside of it must be set to 755 or 777. (Try 755 first as 777 opens your folders to outside interference.)
  

If you only have one solution to a problem you're not trying hard enough!
Back to top
WWW  
IP Logged
 
gr8fredini
YaBB Newcomer
*
Offline



Posts: 10

YaBB 2.5.2
Re: 2.5AE >>2.5.2 Upgrade issue
Reply #4 - Apr 20th, 2013 at 4:14am
Post Tools
Great! I'm in and have the new forum working. I have two directories in my cgi-bin:
/yabb/ - the old 2.5AE forum with my members, messages, etc
/yabb2/- the new forum with nothing in it.

I want to
a) migrate all the members, messages, etc to the yabb2 folder
Is this as simple as moving all of these files?;
cgi-bin/yabb2/Boards/* (all files)
cgi-bin/yabb2/Members/* (all files)
cgi-bin/yabb2/Messages/* (all files)
public_html/yabbfiles/Attachments/* (all files)
public_html/yabbfiles/avatars/UserAvatars/* (all files)

Secondly, I want to delete the old Yabb directory and rename the yabb2 directory to yabb. How do I change the pathing in the software once I change the directory name?

thanks!
  
Back to top
 
IP Logged
 
Dandello
YaBB Administrator
YaBB Next Team
Operations Team
Beta Testers
Support Team
*****
Online



Posts: 2,378
Location: Earth

YaBB 2.6.1
Re: 2.5AE >>2.5.2 Upgrade issue
Reply #5 - Apr 20th, 2013 at 4:32am
Post Tools
From 2.5AE to 2.5.2 just copy your old Members, Boards, Messages, and your avatar and attachment files over (save a copy of your old Settings.pl so you can refresh your memory as to how you had your forum set up.) (Yes, it really is that simple.)

Run the various Maintenance Utilities and make sure everything's okay.

After moving your updated forum to its new location you'll need to hand edit Paths.pl to reflect its new url and server path. The file is in ascii so needs to be edited in a text editor, not a word processor like Word.

BTW, if you found you had to make the folders 777 - you'll want to talk to your hosting service as that indicates some 'ownership' issues with your space.
« Last Edit: Apr 20th, 2013 at 4:32am by Dandello »  

If you only have one solution to a problem you're not trying hard enough!
Back to top
WWW  
IP Logged
 
gr8fredini
YaBB Newcomer
*
Offline



Posts: 10

YaBB 2.5.2
Re: 2.5AE >>2.5.2 Upgrade issue
Reply #6 - Apr 21st, 2013 at 3:52am
Post Tools
Thanks for all the help. Almost there!
I have the new forum installed and have migrated content there, then renamed the directory and set the paths to be correct. It all seems to be working fine...

EXCEPT
when I turn on the Honeypot and spamfruits security options, Registrations are getting the message Oops - We don't serve your kind here.

I'm sure this is another permissions issue, but am not sure what file might me causing this.
  
Back to top
 
IP Logged
 
Dandello
YaBB Administrator
YaBB Next Team
Operations Team
Beta Testers
Support Team
*****
Online



Posts: 2,378
Location: Earth

YaBB 2.6.1
Re: 2.5AE >>2.5.2 Upgrade issue
Reply #7 - Apr 21st, 2013 at 3:44pm
Post Tools
That error is coming from the honeypot and indicates that something has been put into the honeypot field - make sure you have '.green {display:none;} added to your default css file to render that field invisible to anyone except bots.

The honeypot works to stop spambots by rejecting registrations where the field was seen and filled in indicating the registration wasn't processed through a browser.
« Last Edit: Apr 21st, 2013 at 3:46pm by Dandello »  

If you only have one solution to a problem you're not trying hard enough!
Back to top
WWW  
IP Logged
 
Page Index Toggle Pages: 1
Topic Tools
 
  « Board Index ‹ Board  ^Top